Bug 19471 - Show creation date in patron restrictions list
Summary: Show creation date in patron restrictions list
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: David Gustafsson
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-16 08:48 UTC by David Gustafsson
Modified: 2018-06-04 20:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19471: Show creation date in patron restrictions list (3.38 KB, patch)
2017-10-16 09:16 UTC, David Gustafsson
Details | Diff | Splinter Review
Bug 19471: Show creation date in patron restrictions list (3.42 KB, patch)
2017-10-16 14:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19471: Show creation date in patron restrictions list (3.48 KB, patch)
2017-11-03 21:05 UTC, Charles Farmer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Gustafsson 2017-10-16 08:48:54 UTC
It would be nice if the creation date would be visible in the list of patron restrictions. Will submit patch shortly.
Comment 1 David Gustafsson 2017-10-16 09:16:19 UTC
Created attachment 68174 [details] [review]
Bug 19471: Show creation date in patron restrictions list

Test plan:
1. Go to the "Details" vertical tab of a patron.
2. Click the "Restriction" tab in the bottom and add a manual restriction.
3. Verify a creation date is visible.

4. Edit the same patron.
5. Under "Patron restrictions" verify the creation date of the listed
restiction is visible.
Comment 2 Owen Leonard 2017-10-16 14:07:03 UTC
Created attachment 68180 [details] [review]
Bug 19471: Show creation date in patron restrictions list

Test plan:
1. Go to the "Details" vertical tab of a patron.
2. Click the "Restriction" tab in the bottom and add a manual restriction.
3. Verify a creation date is visible.

4. Edit the same patron.
5. Under "Patron restrictions" verify the creation date of the listed
   restiction is visible.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Charles Farmer 2017-11-03 21:05:26 UTC
Created attachment 68940 [details] [review]
Bug 19471: Show creation date in patron restrictions list

Test plan:
1. Go to the "Details" vertical tab of a patron.
2. Click the "Restriction" tab in the bottom and add a manual restriction.
3. Verify a creation date is visible.

4. Edit the same patron.
5. Under "Patron restrictions" verify the creation date of the listed
   restiction is visible.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Charles Farmer <charles.farmer@inLibro.com>
Comment 4 Jonathan Druart 2018-01-10 19:56:25 UTC
Trivial, skipping QA.
Comment 5 Jonathan Druart 2018-01-10 19:56:51 UTC
Pushed to master for 18.05, thanks to everybody involved!